Groovy 1.7.0

## org.codehaus.groovy.binding
Class PropertyBinding.PropertyFullBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding
          org.codehaus.groovy.binding.PropertyBinding.PropertyFullBinding

All Implemented Interfaces:
  PropertyChangeListener

    class PropertyBinding.PropertyFullBinding
    extends AbstractFullBinding

Field Summary
`boolean` | `bound`
`Object` | `boundBean`
`Object` | `boundProperty`
`boolean` | `boundToProperty`

Fields inherited from class AbstractFullBinding
converter, reverseConverter, sourceBinding, targetBinding, validator

Constructor Summary
`PropertyBinding.PropertyFullBinding(SourceBinding source, TargetBinding target)`

Method Summary
`void` | `bind()`
`void` | `propertyChange(PropertyChangeEvent event)`
`void` | `rebind()`
`void` | `unbind()`

Methods inherited from class AbstractFullBinding
getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### bound

    boolean bound

### boundBean

    Object boundBean

### boundProperty

    Object boundProperty

### boundToProperty

    boolean boundToProperty

Constructor Detail

### PropertyBinding.PropertyFullBinding

    public PropertyBinding.PropertyFullBinding(SourceBinding source, TargetBinding target)

Method Detail

### bind

    public void bind()

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

### rebind

    public void rebind()

### unbind

    public void unbind()

Copyright © 2003-2009 The Codehaus. All rights reserved.